<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/RawCalorimeterHit.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">RawCalorimeterHit.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_raw_calorimeter_hit_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_RawCalorimeterHit_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_RawCalorimeterHit_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_raw_calorimeter_hit_const_8h.html">eicd/RawCalorimeterHitConst.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_raw_calorimeter_hit_obj_8h.html">eicd/RawCalorimeterHitObj.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">class </span>RawCalorimeterHitCollection;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">class </span>RawCalorimeterHitCollectionIterator;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">class </span>ConstRawCalorimeterHit;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_calorimeter_hit.html">   25</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit_collection.html">RawCalorimeterHitCollection</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit_collection_iterator.html">RawCalorimeterHitCollectionIterator</a>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_const_raw_calorimeter_hit.html">ConstRawCalorimeterHit</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a18874dd4b71cf2c50e915ac5722bc16b">RawCalorimeterHit</a>();</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a18874dd4b71cf2c50e915ac5722bc16b">RawCalorimeterHit</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#ae525a5e00ca842dadf5952f1f1a2edf6">cellID0</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a2362f85576e55f3358068241e0c65563">cellID1</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a7d27879fd4f4c99e97cea5c3075d0406">amplitude</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a27fb675c2e72d7c5a0cc91d9686075c5">timeStamp</a>);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a18874dd4b71cf2c50e915ac5722bc16b">RawCalorimeterHit</a>(<a class="code" href="classeic_1_1_raw_calorimeter_hit_obj.html">RawCalorimeterHitObj</a>* obj);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a18874dd4b71cf2c50e915ac5722bc16b">RawCalorimeterHit</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a>&amp; other);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a>&amp; <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a93d0e6c13419685eb0daa54e71446559">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a>&amp; other);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <a class="code" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#ac1fb06df57044b0157d9e46b9d88c6c1">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a2b2f90624c502ac3010eb888707b8b6b">~RawCalorimeterHit</a>();</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <span class="keyword">operator</span> <a class="code" href="classeic_1_1_const_raw_calorimeter_hit.html">ConstRawCalorimeterHit</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#ae525a5e00ca842dadf5952f1f1a2edf6">cellID0</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a2362f85576e55f3358068241e0c65563">cellID1</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a7d27879fd4f4c99e97cea5c3075d0406">amplitude</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a27fb675c2e72d7c5a0cc91d9686075c5">timeStamp</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#ae525a5e00ca842dadf5952f1f1a2edf6">cellID0</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a2362f85576e55f3358068241e0c65563">cellID1</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a7d27879fd4f4c99e97cea5c3075d0406">amplitude</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a27fb675c2e72d7c5a0cc91d9686075c5">timeStamp</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a0fb49adaec4a8d10dcdd3b5c74ab9cf6">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_calorimeter_hit.html#a422113676b708a5594b5977648422782">   91</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a422113676b708a5594b5977648422782">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_calorimeter_hit.html#ac6507b24ca137fd967db666713f55d4f">   93</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#ac6507b24ca137fd967db666713f55d4f">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#ac6507b24ca137fd967db666713f55d4f">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_raw_calorimeter_hit.html">ConstRawCalorimeterHit</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_calorimeter_hit.html#a78d42b301164958e0945ba739e0e0ce9">   97</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a78d42b301164958e0945ba739e0e0ce9">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="classeic_1_1_raw_calorimeter_hit.html#a09bfc26b853958f1afde7f9ab2e736a6">   99</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a09bfc26b853958f1afde7f9ab2e736a6">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a31d2d422ea7d316cd6983a62b5f6be5d">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a31d2d422ea7d316cd6983a62b5f6be5d">getObjectID</a>().index; }</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_raw_calorimeter_hit.html#a31d2d422ea7d316cd6983a62b5f6be5d">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  <a class="code" href="classeic_1_1_raw_calorimeter_hit_obj.html">RawCalorimeterHitObj</a>* m_obj;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;};</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_raw_calorimeter_hit.html">ConstRawCalorimeterHit</a>&amp; value);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_a31d2d422ea7d316cd6983a62b5f6be5d"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#a31d2d422ea7d316cd6983a62b5f6be5d">eic::RawCalorimeterHit::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8cc_source.html#l00075">RawCalorimeterHit.cc:75</a></div></div>
<div class="ttc" id="_raw_calorimeter_hit_obj_8h_html"><div class="ttname"><a href="_raw_calorimeter_hit_obj_8h.html">RawCalorimeterHitObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_ac1fb06df57044b0157d9e46b9d88c6c1"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#ac1fb06df57044b0157d9e46b9d88c6c1">eic::RawCalorimeterHit::clone</a></div><div class="ttdeci">RawCalorimeterHit clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8cc_source.html#l00042">RawCalorimeterHit.cc:42</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_a78d42b301164958e0945ba739e0e0ce9"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#a78d42b301164958e0945ba739e0e0ce9">eic::RawCalorimeterHit::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const RawCalorimeterHit &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8h_source.html#l00097">RawCalorimeterHit.h:97</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_a18874dd4b71cf2c50e915ac5722bc16b"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#a18874dd4b71cf2c50e915ac5722bc16b">eic::RawCalorimeterHit::RawCalorimeterHit</a></div><div class="ttdeci">RawCalorimeterHit()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8cc_source.html#l00016">RawCalorimeterHit.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_a2362f85576e55f3358068241e0c65563"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#a2362f85576e55f3358068241e0c65563">eic::RawCalorimeterHit::cellID1</a></div><div class="ttdeci">const long long &amp; cellID1() const</div><div class="ttdoc">Access the The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8cc_source.html#l00052">RawCalorimeterHit.cc:52</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_ac6507b24ca137fd967db666713f55d4f"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#ac6507b24ca137fd967db666713f55d4f">eic::RawCalorimeterHit::operator==</a></div><div class="ttdeci">bool operator==(const RawCalorimeterHit &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8h_source.html#l00093">RawCalorimeterHit.h:93</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_ae525a5e00ca842dadf5952f1f1a2edf6"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#ae525a5e00ca842dadf5952f1f1a2edf6">eic::RawCalorimeterHit::cellID0</a></div><div class="ttdeci">const long long &amp; cellID0() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8cc_source.html#l00051">RawCalorimeterHit.cc:51</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html">eic::RawCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8h_source.html#l00025">RawCalorimeterHit.h:25</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_a09bfc26b853958f1afde7f9ab2e736a6"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#a09bfc26b853958f1afde7f9ab2e736a6">eic::RawCalorimeterHit::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8h_source.html#l00099">RawCalorimeterHit.h:99</a></div></div>
<div class="ttc" id="classeic_1_1_const_raw_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_const_raw_calorimeter_hit.html">eic::ConstRawCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_const_8h_source.html#l00023">RawCalorimeterHitConst.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_a422113676b708a5594b5977648422782"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#a422113676b708a5594b5977648422782">eic::RawCalorimeterHit::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from RawCalorimeterHitObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8h_source.html#l00091">RawCalorimeterHit.h:91</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_a7d27879fd4f4c99e97cea5c3075d0406"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#a7d27879fd4f4c99e97cea5c3075d0406">eic::RawCalorimeterHit::amplitude</a></div><div class="ttdeci">const long long &amp; amplitude() const</div><div class="ttdoc">Access the The amplitude of the hit in ADC counts. </div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8cc_source.html#l00053">RawCalorimeterHit.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_collection_html"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit_collection.html">eic::RawCalorimeterHitCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_collection_8h_source.html#l00050">RawCalorimeterHitCollection.h:50</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_obj_html"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit_obj.html">eic::RawCalorimeterHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_obj_8h_source.html#l00018">RawCalorimeterHitObj.h:18</a></div></div>
<div class="ttc" id="_raw_calorimeter_hit_const_8h_html"><div class="ttname"><a href="_raw_calorimeter_hit_const_8h.html">RawCalorimeterHitConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_a27fb675c2e72d7c5a0cc91d9686075c5"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#a27fb675c2e72d7c5a0cc91d9686075c5">eic::RawCalorimeterHit::timeStamp</a></div><div class="ttdeci">const long long &amp; timeStamp() const</div><div class="ttdoc">Access the The time stamp for the hit. </div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8cc_source.html#l00054">RawCalorimeterHit.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_a2b2f90624c502ac3010eb888707b8b6b"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#a2b2f90624c502ac3010eb888707b8b6b">eic::RawCalorimeterHit::~RawCalorimeterHit</a></div><div class="ttdeci">~RawCalorimeterHit()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8cc_source.html#l00046">RawCalorimeterHit.cc:46</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_a0fb49adaec4a8d10dcdd3b5c74ab9cf6"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#a0fb49adaec4a8d10dcdd3b5c74ab9cf6">eic::RawCalorimeterHit::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8cc_source.html#l00068">RawCalorimeterHit.cc:68</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_html_a93d0e6c13419685eb0daa54e71446559"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit.html#a93d0e6c13419685eb0daa54e71446559">eic::RawCalorimeterHit::operator=</a></div><div class="ttdeci">RawCalorimeterHit &amp; operator=(const RawCalorimeterHit &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_8cc_source.html#l00032">RawCalorimeterHit.cc:32</a></div></div>
<div class="ttc" id="classeic_1_1_raw_calorimeter_hit_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_raw_calorimeter_hit_collection_iterator.html">eic::RawCalorimeterHitCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_raw_calorimeter_hit_collection_8h_source.html#l00029">RawCalorimeterHitCollection.h:29</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
